Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.tree
Class ScapeTreePart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractTreeEditPart
              org.eclipse.amp.agf.tree.AgentTreePart
                  org.eclipse.amp.agf.tree.ScapeTreePart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.RequestConstants, org.eclipse.gef.TreeEditPart

    public class ScapeTreePart

extends AgentTreePart

The Class ScapeTreePart.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ScapeTreePart(ICompositionProvider compositionProvider, ILocationProvider locationProvider, IGraphProvider graphProvider, IGraphicsAdapter graphicsAdapter)`

Method Summary
`void` | `refresh()`

Methods inherited from class org.eclipse.amp.agf.tree.AgentTreePart
`getGraphicsAdapter, setModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractTreeEditPart
`getDragTracker, getWidget, setWidget`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getAdapter, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart
`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ScapeTreePart

    public ScapeTreePart(ICompositionProvider compositionProvider,
                         ILocationProvider locationProvider,
                         IGraphProvider graphProvider,
                         IGraphicsAdapter graphicsAdapter)

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `refresh` in class `org.eclipse.gef.editparts.AbstractEditPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD